<?php

include 'load.php';

?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Payroll | Pos & Invetory System | Dashboard

">
<meta name="keywords" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="author" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="robots" content="noindex, nofollow">

<title>Daily Visit Shop List | Payroll | Pos & Invetory System | Dashboard</title>

<?php
require_once 'headercss.php';
?>
</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Product Daily Visit Shop list</h4>
<h6>View/Search product route</h6>
</div>
<div class="page-btn">
<a href="adddailyvisitshop.php" class="btn btn-added"><img src="assets/img/icons/plus.svg" class="me-2" alt="img"> Add Daily Visit Shop</a>
</div>
</div>

<div class="table-responsive">
<table class="table  datanew">
<thead>
<tr>
<th>#</th>
<th>Status</th>
<th>Route</th>
<th>Shop</th>
<th>Date</th>
<th>Visit</th>
<th>Added Date/Time</th>
<th>Action</th>
</tr>
</thead>
<tbody> 
<?php

										$stmt = $DB_con->prepare('SELECT * FROM mobiledailyvisitshop ORDER BY vsid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);

										?>
<tr>
<td><?php echo $row['vsid']; ?></td>
<td><?php 
						
														if($row['status'] == "1"){

														echo '<a class="btn btn-success text-white">Active</a>';

													    }else if($row['status'] == "0"){

														echo '<a class="btn btn-danger text-white">Deactive</a>';

														}
						
												
											  ?></td>
<td><?php

												$id = $row['route'];  

												$query = $DB_con->prepare('SELECT routename FROM mobileroute WHERE rtid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['routename'];

												?></td>
<td><?php

												$id = $row['shop'];  

												$query = $DB_con->prepare('SELECT shopname FROM mobileshop WHERE soid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['shopname'];

												?></td>
<td><?php echo $row['rdate']; ?></td>
<td><?php

												$id = $row['user'];  

												$query = $DB_con->prepare('SELECT emname FROM mobileemployee WHERE emid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['emname'];

												?></td>
<td><?php 
						
														if($row['checkvisit'] == "1"){

														echo '<a class="btn btn-success text-white">Visit</a>';

													    }else if($row['checkvisit'] == "2"){

														echo '<a class="btn btn-primary text-white">Open</a>';

														}else if($row['checkvisit'] == "3"){

														echo '<a class="btn btn-danger text-white">Close</a>';

														}
						
												
											  ?></td>
<td><?php echo $row['add_date']; ?></td>
<td>
<a class="me-3" href="editdailyvisitshop.php?vsid=<?php echo $row["vsid"]; ?>">
<img src="assets/img/icons/edit.svg" alt="img">
</a>
<a class="me-3 confirm-text" href="deletedailyvisitshop.php?vsid=<?php echo $row["vsid"]; ?>">
<img src="assets/img/icons/delete.svg" alt="img">
</a>
</td>
</tr>
<?php 
} 
}
?>
</tbody>
</table>
</div>
</div>
</div>

</div>
</div>
</div>


<script src="assets/js/jquery-3.6.0.min.js"></script>

<script src="assets/js/feather.min.js"></script>

<script src="assets/js/jquery.slimscroll.min.js"></script>

<script src="assets/js/jquery.dataTables.min.js"></script>
<script src="assets/js/dataTables.bootstrap4.min.js"></script>

<script src="assets/js/bootstrap.bundle.min.js"></script>

<script src="assets/plugins/select2/js/select2.min.js"></script>

<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>
<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>

<script src="assets/js/script.js"></script>
</body>
</html>